@if defined echo (echo %echo% ) else echo off
setlocal

IF NOT EXIST "%~dp0update.jar" GOTO NoUpdateJar
IF EXIST "%~dp0java\jre\bin\java.exe" GOTO launchWithUPDIJavaJre
IF EXIST "%~dp0java\bin\java.exe" GOTO launchWithUPDIJava
IF EXIST "%~dp0jre\bin\java.exe" GOTO launchWithUPDIJre
GOTO JavaHomeNotFound

:launchWithUPDIJavaJre
set updiJAVAHOME=%~dp0java\jre
GOTO launchWithJAVAHOME

:launchWithUPDIJava
set updiJAVAHOME=%~dp0java
GOTO launchWithJAVAHOME

:launchWithUPDIJre
set updiJAVAHOME=%~dp0jre
GOTO launchWithJAVAHOME

:NoUpdateJar
echo
echo	Did not find file update.jar.
echo	Exiting
echo
GOTO END

:JavaHomeNotFound
echo
echo	Did not find JAVA_HOME under the updateinstaller directory.
echo	Exiting
echo
GOTO END

:launchWithJAVAHOME
set PATH=%updiJAVAHOME%\bin
set WindowsLAF=com.sun.java.swing.plaf.windows.WindowsLookAndFeel
echo start /B javaw.exe  -Dswing.defaultlaf=%WindowsLAF% -cp "%~dp0update.jar" -Xms48m -Xmx384m run  %*
javaw.exe  -Dswing.defaultlaf=%WindowsLAF% -cp "%~dp0update.jar" -Xms48m -Xmx384m run  %*
GOTO END

:END
Echo.
endlocal